#ifndef _HARK__BEAMFORMING__GICA_H__INCLUDED_
#define _HARK__BEAMFORMING__GICA_H__INCLUDED_ 1

#include "BF_GSS.h"

namespace BF
{
    class GICA : public GSS
    {
    public:
	GICA(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, bool muAdp, double mu, bool mu_ssAdp, double mu_ss, double scale, NlFuncType nlFuncType, UtUpdateType separationMatUpdateType);
	
    public:
	virtual BfType getBfAlgorithmType() const { return BfGICA; }

    };
}

#endif
